USE OLAP
--rows verses range
SELECT product,product_cost
	   ,count(*) over(order by product_cost rows unbounded preceding) as rows
       ,count(*) over(order by product_cost range unbounded preceding) as range	   
FROM products
WHERE product_cost < 2
ORDER BY product_cost